shishi_crc(3)

NAME
shishi_crc - API function

SYNOPSIS
#include <shishi.h>

int shishi_crc(Shishi * handle, const char * in, size_t inlen, char * out[4]);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * in
    input character array of data to checksum.

size_t inlen
    length of input character array of data to checksum.

char * out[4]

DESCRIPTION
Compute checksum of data using CRC32 modified according to RFC 1510. The out buffer must be deallocated by the caller. The modifications compared to standard CRC32 is that no initial and final XOR is performed, and that the output is returned in LSB-first order.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.